package core

const (
	// DevMode means development mode.
	DevMode = "dev"
	// TestMode means test mode.
	TestMode = "test"
	// ProductionMode means production mode.
	ProductionMode = "prod"
)

type (
	EngineConf struct {
		// Protocol 协议名
		// "tcp", "tcp4", "tcp6", "unix" or "unixpacket"
		// 若只想开启IPv4, 使用tcp4即可
		Protocol string
		// Addr 服务地址
		// 地址可直接使用hostname,但强烈不建议这样做,可能会同时监听多个本地IP
		// 如果端口号不填或端口号为0，例如："127.0.0.1:" 或 ":0"，服务端将选择随机可用端口
		Addr string
		// Name 服务端名称，默认为n-net
		Name string
		Mode string
	}
)
